## org.firebirdsql.gds.impl.jni
Class TransactionParameterBufferImpl

    java.lang.Object
      org.firebirdsql.gds.impl.jni.TransactionParameterBufferImpl

All Implemented Interfaces:
  Serializable, TransactionParameterBuffer

    public class TransactionParameterBufferImpl

extends Object
implements TransactionParameterBuffer

See Also:
  Serialized Form

Nested Class Summary
`protected static class` `ParameterBufferBase.Argument`
`protected static class` `ParameterBufferBase.NumericArgument`
`protected static class` `ParameterBufferBase.StringArgument`

Field Summary

Fields inherited from interface org.firebirdsql.gds.TransactionParameterBuffer
`AUTOCOMMIT, COMMIT_TIME, CONCURRENCY, CONSISTENCY, EXCLUSIVE, IGNORE_LIMBO, LOCK_READ, LOCK_WRITE, NO_AUTO_UNDO, NO_REC_VERSION, NOWAIT, PROTECTED, READ, READ_COMMITTED, REC_VERSION, RESTART_REQUESTS, SHARED, VERB_TIME, WAIT, WRITE`

Constructor Summary
`TransactionParameterBufferImpl()`

Method Summary
`void` `addArgument(int argumentType)`
`void` `addArgument(int argumentType, byte value)`
`void` `addArgument(int type, byte[] content)`
`void` `addArgument(int argumentType, int value)`
`void` `addArgument(int argumentType, String value)`
`TransactionParameterBuffer` `deepCopy()` Make a deep copy of this object.
`boolean` `equals(Object other)`
`int` `getArgumentAsInt(int type)`
`String` `getArgumentAsString(int type)`
`protected List` `getArgumentsList()`
`boolean` `hasArgument(int type)`
`int` `hashCode()`
`void` `removeArgument(int type)`
`protected void` `writeArgumentsTo(ByteArrayOutputStream outputStream)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.firebirdsql.gds.TransactionParameterBuffer
`addArgument, addArgument, addArgument, addArgument, getArgumentAsInt, getArgumentAsString, hasArgument, removeArgument`

Constructor Detail

### TransactionParameterBufferImpl

    public TransactionParameterBufferImpl()

Method Detail

### deepCopy

    public TransactionParameterBuffer deepCopy()

  Description copied from interface: `TransactionParameterBuffer`
  Make a deep copy of this object.

  Specified by:
    `deepCopy` in interface `TransactionParameterBuffer`
  Returns:
    deep copy of this object.

### addArgument

    public void addArgument(int argumentType,
                            String value)

### addArgument

    public void addArgument(int argumentType,
                            int value)

### addArgument

    public void addArgument(int argumentType,
                            byte value)

### addArgument

    public void addArgument(int argumentType)

### addArgument

    public void addArgument(int type,
                            byte[] content)

### getArgumentAsString

    public String getArgumentAsString(int type)

### getArgumentAsInt

    public int getArgumentAsInt(int type)

### hasArgument

    public boolean hasArgument(int type)

### removeArgument

    public void removeArgument(int type)

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### writeArgumentsTo

    protected void writeArgumentsTo(ByteArrayOutputStream outputStream)

### getArgumentsList

    protected List getArgumentsList()

Copyright © 2001-2010. All Rights Reserved.